Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588574 - Add a way to supply multiple services or group of services in an HBAC rule
Summary: Add a way to supply multiple services or group of services in an HBAC rule
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 2.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 00:05 UTC by Dmitri Pal
Modified: 2015-01-04 23:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 09:36:05 UTC


Attachments (Terms of Use)

Description Dmitri Pal 2010-05-04 00:05:36 UTC
It would be very nice to have some way to set a rule for a "category" or group of services. It is very error-prone to administer the same set of rules for example for ssh, su, login separately and add them to different HBAC rules.

Comment 1 Rob Crittenden 2010-05-11 14:51:38 UTC
First pass at some schema design: http://freeipa.org/page/PAMServices

Comment 2 Rob Crittenden 2010-09-07 19:54:33 UTC
master: 58fed697684931e66ed054d0d5899301fd47b04d


Note You need to log in before you can comment on or make changes to this bug.